<?php
/*------------------------------------------------------------------------
# mod_ve_contentslider - VE Content Slider
# ------------------------------------------------------------------------
# author    Vsmart Extensions
# copyright Copyright (C) 2010 www.vsmart-extensions.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vsmart-extensions.com
# Technical Support:  Forum - http://www.vsmart-extensions.com
-------------------------------------------------------------------------*/
// no direct access
defined('_JEXEC') or die('Restricted access');
$document = JFactory::getDocument();
$document->addStyleSheet(JURI::base()."modules/mod_ve_contentslider/tmpl/css/slider.css");
$number = $params->get('number');
$count = $params->get('count');
$width = $params->get('width');
$height = $params->get('height');
$autoPlay = $params->get('autoPlay');
if($autoPlay) $autoPlay = "true";
else $autoPlay = "false";
$delay = $params->get('delay');
$animationTime = $params->get('animationTime');
$loadjquery = $params->get('load_jquery');
?>
<?php if($loadjquery){ ?>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"></script>
<?php } ?>
<script src="<?php echo JURI::base(); ?>modules/mod_ve_contentslider/tmpl/js/jquery.easing.1.2.js"></script>
<script src="<?php echo JURI::base(); ?>modules/mod_ve_contentslider/tmpl/js/jquery.anythingslider.js"></script>
<script type="text/javascript">
	jQuery.noConflict();   
    jQuery(function () {       
         jQuery('.contentSlider').anythingSlider({
                easing: "easeInOutExpo",        
                autoPlay: <?php echo $autoPlay; ?>,                
                delay: <?php echo $delay; ?>,                    
                startStopped: false,            
                animationTime: <?php echo $animationTime; ?>,             
                hashTags: true,                 
                buildNavigation: false,         
        		pauseOnHover: true,             
        		startText: "Go",             	
		        stopText: "Stop",               
         }); 
    });
</script>
<?php
	$css= ".contentSlider,.contentSlider .wrapper,.contentSlider ul li{width:".$width."px;height:".$height."px;}";
	$css .= ".contentSlider ul li.cloned{width:".($width-40)."px;*width:".$width."px;}";
	$document->addStyleDeclaration($css);
	$i = 1;
?>
<div class="contentSlider">     
          <div class="wrapper">
			<ul><li>
			<?php foreach ($list as $item) :  ?>
				   <?php if($item->thumb != ""){ ?>
					<div class="vec-thumb">
						<a href="<?php echo $item->link; ?>">
							<?php echo $item->thumb; ?>
						</a>
					</div>
					<?php } ?>
					<a href="<?php echo $item->link; ?>" class="vec-link" >
						<?php echo $item->text; ?></a><br />
						<span class="vec-date"><?php echo JText::_("Write on ").$item->created; ?></span>
						<?php echo $item->introtext; ?>
						<a href="<?php echo $item->link; ?>" class="vec-readmore"><?php echo JText::_("Readmore"); ?></a>
					<div style="clear:both;margin-bottom:30px;"></div>
					<?php 
							if($i%$number == 0 || $i == $count) echo "</li>";
							if($i%$number == 0 && $i != $count) echo "<li>";
							$i++;
					?>
			<?php endforeach; ?>
			</ul>
	</div>
</div>